Package Release Info

kfilemetadata5-5.32.0-2.1

Update Info: openSUSE-2017-1018
Available in Package Hub : 12 SP3-SP5

platforms

AArch64
ppc64le
s390x
x86-64

subpackages

kfilemetadata5
kfilemetadata5-devel
kfilemetadata5-lang

Change Logs

* Mon Mar 20 2017 wbauer@tmo.at
- Add Make-PlainTextExtractor-match-text-plain-again.patch to fix
  metadata extraction for text files which got broken in 5.32.0
* Sun Mar 19 2017 lbeltrame@kde.org
- Update to 5.32.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.32.0.php
- Changes since 5.31.0:
  * Commit translations from l10n-kf5
  * Upgrade ECM and KF5 version requirements for 5.32.0 release.
  * Upgrade KF5 version to 5.32.0.
  * fix build of kfilemetadata with taglib version 1.9
  * New maintainer for kfilemetadata
  * [ExtractorCollection] Use mimetype inheritance to return plugins
  * add a new property DiscNumber for audio files from multi-disc albums
  * add more audio format to automatic test and fix problems
* Thu Feb 09 2017 hrvoje.senjan@gmail.com
- Update to 5.31.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.31.0.php
* Sun Jan 08 2017 hrvoje.senjan@gmail.com
- Update to 5.30.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.30.0.php
* Sun Dec 04 2016 hrvoje.senjan@gmail.com
- Update to 5.29.0
  * Actually find FFMpeg's libpostproc
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.29.0.php
* Sat Nov 05 2016 hrvoje.senjan@gmail.com
- Update to 5.28.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.28.0.php
* Sun Oct 02 2016 hrvoje.senjan@gmail.com
- Update to 5.27.0
  * Improve epub extractor, less segfaults (kde#361727)
  * Make odf indexer more error prove, check if the files are there
    (and are files at all) (meta.xml + content.xml)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.27.0.php
Version: 5.20.0-2.1
* Sun Mar 06 2016 hrvoje.senjan@gmail.com
- Update to 5.20.0 (boo#970856)
  * KFileMetadata can now query and store information about the
    original email a saved file may have been an attachment of
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.20.0.php
* Sat Feb 06 2016 hrvoje.senjan@gmail.com
- Update to 5.19.0 (boo#967668)
  * Allow querying for a file's origin URL
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.19.0.php
* Mon Jan 11 2016 wbauer@tmo.at
- Build against poppler-qt5 on SLE12 and Leap 42 as well, it is
  available meanwhile (boo#953957)
* Sat Jan 02 2016 hrvoje.senjan@gmail.com
- Update to 5.18.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.18.0.php
* Thu Dec 10 2015 hrvoje.senjan@gmail.com
- Update to 5.17.0
  * Mark m4a as readable by taglib
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.17.0.php
* Sun Nov 08 2015 hrvoje.senjan@gmail.com
- Update to 5.16.0 (boo#955067)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.16.0.php
* Mon Oct 05 2015 hrvoje.senjan@gmail.com
- Update to 5.15.0
  * Implement windows usermetadata
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.15.0.php
* Tue Sep 08 2015 hrvoje.senjan@gmail.com
- Update to 5.14.0
  * PlainTextExtractor: enable O_NOATIME branch on GNU libc platforms
  * PlainTextExtractor: make the Linux branch work also without O_NOATIME
  * PlainTextExtractor: fix error check on open(O_NOATIME) failure
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.14.0.php
* Fri Sep 04 2015 hrvoje.senjan@gmail.com
- Only Recommend catdoc, to help reducing liveCD/DVD size
* Tue Aug 04 2015 hrvoje.senjan@gmail.com
- Update to 5.13.0
  * The Qt version requirement has been bumped from 5.2 to 5.3
  * Debug output has been ported to categorized output, for less
    noise by default
  * Docbook documentation has been reviewed and updated
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.13.0.php
* Sun Jul 26 2015 hrvoje.senjan@gmail.com
- Fix Oboletes/Provides versions regarding Leap versioning
* Mon Jul 20 2015 mlin@suse.com
- No poppler-qt5 in Leap 42, do not build with it on 42 and SLE
* Sun Jun 28 2015 hrvoje.senjan@gmail.com
- Update to 5.3.2:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.3.2.php
* Fri May 22 2015 hrvoje.senjan@gmail.com
- Update to 5.3.1:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.3.1.php
* Thu Apr 23 2015 hrvoje.senjan@gmail.com
- Update to 5.3 Final:
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.3.0.php
* Sat Apr 11 2015 hrvoje.senjan@gmail.com
- Update to 5.2.95 aka 5.3 beta:
  * New feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.2.95.php
- Update required Qt version to 5.4.0
- Update required taglib version to 1.9
- Added libattr-devel BuildRequires
* Tue Mar 31 2015 hrvoje.senjan@gmail.com
- Enable ffmpeg support on openSUSE > 13.2
* Thu Mar 19 2015 hrvoje.senjan@gmail.com
- Update to 5.2.2:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.2.2.php
* Fri Feb 20 2015 hrvoje.senjan@gmail.com
- Update to 5.2.1:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.2.1.php
* Mon Jan 26 2015 hrvoje.senjan@gmail.com
- Update to 5.2 Final:
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.2.0.php
Version: 5.26.0-2.6
* Tue Sep 06 2016 hrvoje.senjan@gmail.com
- Update to 5.26.0
  * Only require Xattr if the operating system is Linux
  * Restore Windows build
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.26.0.php
* Sun Aug 07 2016 hrvoje.senjan@gmail.com
- Update to 5.25.0
  * Qt >= 5.5 is now required
  * Check for xattr during config step, otherwise the build
    might fail (if xattr.h is missing)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.25.0.php
* Mon Jul 25 2016 olaf@aepfle.de
- Build with ffmpeg unconditional
* Wed Jul 06 2016 hrvoje.senjan@gmail.com
- Update to 5.24.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.24.0.php
* Tue Jul 05 2016 wbauer@tmo.at
- Use the new %kf5_find_lang macro to create the file list for the
  lang package
- Remove rpmlintrc file, it is not needed any more now
* Mon Jun 06 2016 hrvoje.senjan@gmail.com
- Update to 5.23.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.23.0.php
* Sat May 07 2016 hrvoje.senjan@gmail.com
- Update to 5.22.0 (boo#980066)
  * Fixed external plugins and tests
  * Added support for external writer plugins
  * Added writer plugin support
  * Add external extractor plugin support
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.22.0.php
* Sun Apr 17 2016 olaf@aepfle.de
- Use pkgconfig instead of libffmpeg-devel
  ffmpeg-buildrequires.patch
* Mon Apr 04 2016 hrvoje.senjan@gmail.com
- Update to 5.21.0 (boo#974793)
  * Upgrade Qt version requirement to 5.4.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.21.0.php